/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Surface Processing Algorithm Families
 */
public enum EnumCV_SurfaceProcessingAlgorithmFamilies 
{
	// Surface Processing Algorithm Families - CID 7162
	NEIGHBORHOOD_ANALYSIS_123101("123101"),
	ADAPTIVE_FILTERING_123102("123102"),
	EDGE_DETECTION_123103("123103"),
	MORPHOLOGICAL_OPERATIONS_123104("123104"),
	HISTOGRAM_ANALYSIS_123105("123105"),
	MULTI_SCALE_RESOLUTION_FILTERING_123106("123106"),
	CLUSTER_ANALYSIS_123107("123107"),
	MULTISPECTRAL_PROCESSING_123108("123108"),
	MANUAL_PROCESSING_123109("123109"),
	ARTIFICIAL_INTELLIGENCE_123110("123110"),
	DEFORMABLE_MODELS_123111("123111");
	

	private String value;
	
	EnumCV_SurfaceProcessingAlgorithmFamilies(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
